summaryrefslogtreecommitdiffstats
path: root/multimedia/pitivi
diff options
context:
space:
mode:
author Jeremy Hansen <jebrhansen+SBo@gmail.com>2017-07-27 16:26:19 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-07-28 06:11:31 +0700
commit9117f6326af7cfd5dc767ccadcb8278adc9090fb (patch)
tree107f14d442422d5be072df2e1aa1a6d4b7139468 /multimedia/pitivi
parent551bb6542145afcc0b91df5cc41ef6b336607c41 (diff)
downloadslackbuilds-9117f6326af7cfd5dc767ccadcb8278adc9090fb.tar.gz
slackbuilds-9117f6326af7cfd5dc767ccadcb8278adc9090fb.tar.xz
multimedia/pitivi: Switch to source build + New maintainer.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'multimedia/pitivi')
-rw-r--r--multimedia/pitivi/README22
-rw-r--r--multimedia/pitivi/pitivi.SlackBuild58
-rw-r--r--multimedia/pitivi/pitivi.info14
-rw-r--r--multimedia/pitivi/slack-desc11
4 files changed, 67 insertions, 38 deletions
diff --git a/multimedia/pitivi/README b/multimedia/pitivi/README
index 0f63a2475d..e945ae8554 100644
--- a/multimedia/pitivi/README
+++ b/multimedia/pitivi/README
@@ -1,3 +1,21 @@
-PiTiVi is a free, intuitive, and feature-rich movie editor.
+pitivi (video editor)
-This is a repackaging of the PiTiVi bundles.
+Pitivi is a Free video editor with a beautiful and intuitive user
+interface, a clean codebase and a fantastic community.
+
+It uses the gstreamer media framework, so it has support for most
+audio/video formats. It includes hundreds of animated effects,
+transitions and filters.
+
+Future versions are not currently possible on 14.2 due to requiring
+newer gst libraries than are included on 14.2.
+
+gst-libav is an optional dependency to add libav support to gstreamer
+
+The following optional dependencies are not currently available on SBo:
+pycanberra - enable sound notification when rendering completes
+GnomeDesktop - file thumbnails provided by GNOME's thumbnailers
+notify - enables visual notifications when rendering is complete
+
+NOTE: Please make sure python3-dateutil and python3-six are installed
+before building python3-matplotlib!
diff --git a/multimedia/pitivi/pitivi.SlackBuild b/multimedia/pitivi/pitivi.SlackBuild
index ec18c16068..5b5ea347d2 100644
--- a/multimedia/pitivi/pitivi.SlackBuild
+++ b/multimedia/pitivi/pitivi.SlackBuild
@@ -1,9 +1,9 @@
#!/bin/sh
# Slackware build script for PiTiVi
-# Ryan P.C. McQuen | Everett, WA | ryanpcmcquen@member.fsf.org
-
# Copyright 2010, 2012 Binh Nguyen <binhvng@gmail.com>
+# Copyright 2012-2017 Ryan P.C. McQuen | Everett, WA | ryanpcmcquen@member.fsf.org
+# Copyright 2017 Jeremy Hansen <jebrhansen+SBo -at- gmail.com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,12 +25,12 @@
PRGNAM=pitivi
VERSION=${VERSION:-0.95}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -41,9 +41,8 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -56,27 +55,40 @@ else
LIBDIRSUFFIX=""
fi
-if [ `getconf LONG_BIT` = "32" ]; then
- SRCARCH=x86
-elif [ `getconf LONG_BIT` = "64" ]; then
- SRCARCH=x86_64
-else
- echo "Your architecture is not supported."
- exit 1
-fi
-
set -eu
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-mkdir -p $TMP/$PRGNAM-$VERSION/
-mkdir -p $PKG/opt/$PRGNAM/
-mkdir -p $PKG/usr/bin/
-cd $TMP/$PRGNAM-$VERSION/
-tar xpvf $CWD/${PRGNAM}-${VERSION}-beta-${SRCARCH}.tar.xz
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-cp -Rav * $PKG/opt/$PRGNAM/
-ln -sf ../../opt/${PRGNAM}/${PRGNAM}-${VERSION}-${SRCARCH} $PKG/usr/bin/${PRGNAM}
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
diff --git a/multimedia/pitivi/pitivi.info b/multimedia/pitivi/pitivi.info
index 8a5f8054bc..91cf0945cb 100644
--- a/multimedia/pitivi/pitivi.info
+++ b/multimedia/pitivi/pitivi.info
@@ -1,10 +1,10 @@
PRGNAM="pitivi"
VERSION="0.95"
HOMEPAGE="http://www.pitivi.org/"
-DOWNLOAD="http://slackware.uk/sbosrcarch/by-name/multimedia/pitivi/pitivi-0.95-beta-x86.tar.xz"
-MD5SUM="5f894e477f845cc13393101b8eb5d09b"
-DOWNLOAD_x86_64="http://slackware.uk/sbosrcarch/by-name/multimedia/pitivi/pitivi-0.95-beta-x86_64.tar.xz"
-MD5SUM_x86_64="ec0d0d85eca47234309da63fd23770f1"
-REQUIRES=""
-MAINTAINER="Ryan P.C. McQuen"
-EMAIL="ryanpcmcquen@member.fsf.org"
+DOWNLOAD="https://download.gnome.org/sources/pitivi/0.95/pitivi-0.95.tar.xz"
+MD5SUM="7bb0bca1b25ef592f0105c3ad93b8c20"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="gst-plugins-bad python3-matplotlib pygobject3-python3 gstreamer-editing-services gst-python3 python3-dateutil python3-six"
+MAINTAINER="Jeremy Hansen"
+EMAIL="jebrhansen+SBo@gmail.com"
diff --git a/multimedia/pitivi/slack-desc b/multimedia/pitivi/slack-desc
index 122dc03670..163a2e25bc 100644
--- a/multimedia/pitivi/slack-desc
+++ b/multimedia/pitivi/slack-desc
@@ -8,12 +8,11 @@
|-----handy-ruler------------------------------------------------------|
pitivi: pitivi (video editor)
pitivi:
-pitivi: PiTiVi, a free and open source video editor for Linux.
-pitivi:
-pitivi:
-pitivi: PiTiVi is a free, intuitive, and featureful movie editor.
-pitivi:
+pitivi: Pitivi is a Free video editor with a beautiful and intuitive user
+pitivi: interface, a clean codebase and a fantastic community.
pitivi:
+pitivi: It uses the gstreamer media framework, so it has support for most
+pitivi: audio/video formats. It includes hundreds of animated effects,
+pitivi: transitions and filters.
pitivi:
pitivi: http://www.pitivi.org/
-pitivi: